#################
################
### PROCESS THE DATA FOR BCI

rm(list = ls())
source("process.fun.R")
library(reshape)

data.tree <- read.csv("output/formatted/BCI/tree.csv", stringsAsFactors = FALSE)
data.tree <- subset(data.tree,subset=!is.na(data.tree[["D"]]))
data.tree <- subset(data.tree,subset=data.tree[["D"]]>10) ### select only tree below 5cm of dbh to start

### species as factor because number
Rlim <- 15 # set size of neighborhood for competition index

data.traits <- read.csv("output/formatted/BCI/traits.csv")

## change sp
data.traits$sp <- paste("sp",data.traits$sp,sep=".")
data.tree$sp <- paste("sp",data.tree$sp,sep=".")

## FOR CENSUS 6 only to start
data.tree1 <-  data.tree[data.tree$census==6,]


fun.data.per.bigplot(data=data.tree1,site.name="BCI",data.TRAITS=data.traits,Rlim=15,xy.name=c("x","y"))
 
